# List request identifiers (/docs/api-reference/data-subject-request/post-v1-identifiers)

List out all of the identifiers that are attached to DSRs. These may be the emails, coreIdentifiers, phone numbers, user IDs, advertising IDs and more.

## POST /v1/request-identifiers

```json
{
  "servers": [
    {
      "url": "https://multi-tenant.sombra.transcend.io",
      "description": "Multi-tenant (EU)"
    },
    {
      "url": "https://multi-tenant.sombra.us.transcend.io",
      "description": "Multi-tenant (US)"
    },
    {
      "description": "Self-hosted",
      "url": "https://_yourOrganizationSombraURL_.com"
    },
    {
      "description": "Preference Store in Europe",
      "url": "https://consent.transcend.io"
    },
    {
      "description": "Preference Store in the U.S.",
      "url": "https://consent.us.transcend.io"
    },
    {
      "description": "Rules Automation webhook ingestion (EU)",
      "url": "https://rule-automation.transcend.io"
    },
    {
      "description": "Rules Automation webhook ingestion (US)",
      "url": "https://rule-automation.us.transcend.io"
    }
  ],
  "security": [
    {
      "Transcend_API_Key": [],
      "Sombra_Token": [],
      "Transcend_API_Key_If_Multitenant": []
    }
  ],
  "operation": {
    "summary": "List request identifiers",
    "description": "List out all of the identifiers that are attached to DSRs. These may be the emails, coreIdentifiers, phone numbers, user IDs, advertising IDs and more.",
    "responses": {
      "200": {
        "description": "Returns a list of request identifiers",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "identifiers": {
                  "type": "array",
                  "uniqueItems": true,
                  "items": {
                    "type": "object",
                    "properties": {
                      "id": {
                        "type": "string",
                        "format": "uuid",
                        "minLength": 1,
                        "description": "The unique database UUID for this request identifier. This is unique per request, per identifier."
                      },
                      "name": {
                        "type": "string",
                        "description": "The name of the identifier, this uniquely defines the identifier type"
                      },
                      "value": {
                        "type": "string",
                        "description": "The value of the identifier"
                      },
                      "type": {
                        "type": "string",
                        "enum": [
                          "email",
                          "phone",
                          "coreIdentifier",
                          "custom",
                          "gaid",
                          "idfa",
                          "idfv",
                          "browserId",
                          "microsoftAdvertisingId",
                          "amazonFireAdvertisingId",
                          "rida",
                          "filestackHandle",
                          "stripeId",
                          "braintreeCustomerId",
                          "chargebeeId",
                          "thriveTrmContactId",
                          "talkableUUID",
                          "recurlyId",
                          "customerIoId",
                          "sprigVisitorId",
                          "linkedInURL",
                          "advertisingId",
                          "personaReferenceId",
                          "streamUserId",
                          "plaidProcessorToken",
                          "onfidoApplicantId",
                          "veroUserId",
                          "adobeAdvertisingCloudId",
                          "adobeAudienceManagerId",
                          "adobeExperienceCloudId",
                          "adobeTargetId",
                          "adobeCampaignRecipientId",
                          "transcend"
                        ],
                        "description": "The static type representation of the identifier type in Transcend - indicating if this is a customer or out-of-the-box identifier"
                      }
                    },
                    "required": [
                      "id",
                      "name",
                      "value",
                      "type"
                    ]
                  }
                }
              },
              "required": [
                "identifiers"
              ]
            },
            "examples": {
              "Sample response body": {
                "value": {
                  "identifiers": [
                    {
                      "id": "7f21c58b-53c9-483e-84c2-40284cdd28ae",
                      "value": "no-track@example.com",
                      "name": "email",
                      "type": "email"
                    },
                    {
                      "id": "c8f600ea-917f-4e02-95d4-af475d3e07ec",
                      "value": "another@example.com",
                      "name": "email",
                      "type": "email"
                    },
                    {
                      "id": "cf2ad7bc-ea08-4e19-b167-4ef24c3770cd",
                      "value": "myusernameslug",
                      "name": "coreIdentifier",
                      "type": "coreIdentifier"
                    },
                    {
                      "id": "b1981873-f3e6-4fc8-9713-64b1c7cdc5ef",
                      "value": "+16126883289",
                      "name": "phone",
                      "type": "phone"
                    },
                    {
                      "id": "6bdd20f6-5019-4d64-a9b4-0ea5111b94d3",
                      "value": "38400000-8cf0-11bd-b23e-10b96e40000d",
                      "name": "gaid",
                      "type": "gaid"
                    },
                    {
                      "id": "62e2fadd-6331-4ae0-a72b-52d61f27769c",
                      "value": "myusernameslug",
                      "name": "user_id",
                      "type": "custom"
                    }
                  ]
                }
              }
            }
          }
        }
      },
      "400": {
        "description": "While this request passed authentication, the input is malformed. Please double-check that your code conforms to our API specification.",
        "headers": {},
        "content": {
          "application/json": {
            "schema": {
              "description": "",
              "type": "object",
              "properties": {}
            }
          }
        }
      },
      "401": {
        "description": "There was a problem authenticating your request. This may be an issue with the Transcend API key (\"authorization\" header), or the Sombra API key (\"x-sombra-authorization\" header used for self-hosted gateways only).",
        "headers": {},
        "content": {
          "application/json": {
            "schema": {
              "description": "",
              "type": "object",
              "properties": {}
            }
          }
        }
      },
      "413": {
        "description": "The request body is too large. JSON and raw bodies must be less than 50MB. URL encoded bodies must be less than 30MB.",
        "headers": {},
        "content": {
          "application/json": {
            "schema": {
              "description": "",
              "type": "object",
              "properties": {}
            }
          }
        }
      },
      "429": {
        "description": "You are sending requests too quickly and have hit our rate limit. If you hit this, you'll need to throttle your request velocity or try again later.",
        "headers": {
          "Retry-After": {
            "description": "The number of seconds to wait before retrying.",
            "schema": {
              "type": "integer"
            }
          },
          "X-RateLimit-Limit": {
            "description": "The maximum number of requests allowed in the time window.",
            "schema": {
              "type": "integer"
            }
          },
          "X-RateLimit-Remaining": {
            "description": "The number of requests remaining in the time window.",
            "schema": {
              "type": "integer"
            }
          },
          "X-RateLimit-Reset": {
            "description": "The time at which the rate limit will reset.",
            "schema": {
              "type": "integer"
            }
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "description": "",
              "type": "object",
              "properties": {}
            }
          }
        }
      },
      "500": {
        "description": "A 5xx error means there is either an issue with your self-hosted gateway, or a Transcend server is having issues. You check our system status at status.transcend.io. Please reach out to Transcend support if you're experiencing this error.",
        "headers": {},
        "content": {
          "application/json": {
            "schema": {
              "description": "",
              "type": "object",
              "properties": {}
            }
          }
        }
      },
      "502": {
        "description": "An upstream service on Transcend's side is having issues. You check our system status at status.transcend.io. Please reach out to Transcend support if you're experiencing this error.",
        "headers": {},
        "content": {
          "application/json": {
            "schema": {
              "description": "",
              "type": "object",
              "properties": {}
            }
          }
        }
      }
    },
    "operationId": "post-v1-identifiers",
    "parameters": [
      {
        "$ref": "#/components/parameters/authorization"
      },
      {
        "$ref": "#/components/parameters/x-sombra-authorization"
      },
      {
        "$ref": "#/components/parameters/content-type-application-json"
      }
    ],
    "security": [
      {
        "Transcend_API_Key": [
          "View the Request Compilation"
        ]
      }
    ],
    "requestBody": {
      "content": {
        "application/json": {
          "schema": {
            "description": "",
            "type": "object",
            "properties": {
              "requestId": {
                "type": "string",
                "format": "uuid",
                "description": "The UUID of the request to fetch request identifiers for"
              },
              "identifierNames": {
                "type": "array",
                "items": {
                  "type": "string"
                },
                "description": "The names of the identifiers to fetch. If not provided, all identifiers will be fetched."
              },
              "first": {
                "type": "number",
                "description": "The number of results to return on this page. Defaults to 10, maximum is 2000."
              },
              "offset": {
                "type": "number",
                "description": "The offset to use while paginating."
              }
            },
            "required": [
              "requestId"
            ]
          },
          "examples": {
            "Query for first 100 identifiers on a request": {
              "value": {
                "first": 100,
                "requestId": "96946f0d-6453-4d52-9d66-d5f2089acbc1"
              }
            },
            "Query for second page": {
              "value": {
                "first": 100,
                "requestId": "96946f0d-6453-4d52-9d66-d5f2089acbc1",
                "offset": 100
              }
            },
            "Query for specific identifiers by name": {
              "value": {
                "first": 100,
                "requestId": "96946f0d-6453-4d52-9d66-d5f2089acbc1",
                "identifierNames": [
                  "email",
                  "phone",
                  "First Name"
                ]
              }
            }
          }
        }
      }
    },
    "tags": [
      "Data subject request"
    ]
  }
}
```